Bug 225061 - [x86_64] uno bridge mishandling double return type
[x86_64] uno bridge mishandling double return type
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-28 08:34 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.2.0-4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-01 10:23:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 73974 None None None Never

  None (edit)
Description Paul F. Johnson 2007-01-28 08:34:52 EST
Description of problem:
If I enter =randbetween(1;12) I always get the answer 0

Version-Release number of selected component (if applicable):
2.1.0-6.13

How reproducible:
Always

Steps to Reproduce:
1. Start OOo-Calc
2. Enter =RANDBETWEEN(1;12) on the function line (either using the builder or not)
3.
  
Actual results:
0 is returned always

Expected results:
random numbers between 1 and 12

Additional info:
Not tried on x86
Comment 1 Caolan McNamara 2007-01-29 06:25:48 EST
hmm, some sort of problem with a double being returned through uno on x86_64,
have stitched together a workaround

Note You need to log in before you can comment on or make changes to this bug.